<?php
/* 蹇嵎鍟嗗煄绯荤粺
 * 鐗堟湰鍙凤細2.0
 * 瀹樼綉锛歨ttp://www.kjcms.cn
 * 2015-02-16
 */
class ctl_mall_goods_format extends mod_mall_goods_format {
	//默认浏览页
	function act_default() {
		$this->arr_list = $this->on_show();
		return $this->get_view();
	}
	//编辑 新增 页面 ,有id时为编辑
	function act_edit() {
		$this->editinfo = $this->get_editinfo( fun_get::get('id') );
		return $this->get_view();
	}

	//保存操作,返回josn数据
	function act_save() {
		$arr_return = $this->on_save();
		return fun_format::json($arr_return);
	}
	//彻底删除,返回josn数据
	function act_delete() {
		$arr_return = $this->on_delete();
		return fun_format::json($arr_return);
	}
}